# Delete codes by ID

Deletes all codes by game key ID.

Endpoint: DELETE /v2/project/{project_id}/admin/items/game/key/delete/id/{item_id}
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `item_id` (string, required)
    Item ID.
    Example: "656"

## Query parameters:

  - `user_email` (string, required)
    User email.
    Example: "email@email.com"

  - `reason` (string, required)
    Reason receiving codes.
    Example: "Very important"

  - `region_id` (integer)
    Region ID.

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 4001

  - `errorMessage` (string)
    Example: "[0401-4001]: Item with sku = 'game_1' not found"


